using System;

internal sealed class Delegate550 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate550 delegate550_1)
	{
		return delegate550_1(object_0);
	}

	public extern Delegate550(object object_0, IntPtr intptr_0);

	static Delegate550()
	{
		Class10.smethod_13(typeof(Delegate550).TypeHandle);
	}

	internal static Delegate550 delegate550_0;
}
